/*
 * This source file was generated by FireStorm/DAO.
 * 
 * If you purchase a full license for FireStorm/DAO you can customize this header file.
 * 
 * For more information please visit http://www.codefutures.com/products/firestorm
 */

package umgnotas.eis.dto;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/** 
 * This class represents the primary key of the tb_asignacion table.
 */
public class TbAsignacionPk implements Serializable
{
	protected Integer asiCodigo;

	/** 
	 * Sets the value of asiCodigo
	 */
	public void setAsiCodigo(Integer asiCodigo)
	{
		this.asiCodigo = asiCodigo;
	}

	/** 
	 * Gets the value of asiCodigo
	 */
	public Integer getAsiCodigo()
	{
		return asiCodigo;
	}

	/**
	 * Method 'TbAsignacionPk'
	 * 
	 */
	public TbAsignacionPk()
	{
	}

	/**
	 * Method 'TbAsignacionPk'
	 * 
	 * @param asiCodigo
	 */
	public TbAsignacionPk(final Integer asiCodigo)
	{
		this.asiCodigo = asiCodigo;
	}

	/**
	 * Method 'equals'
	 * 
	 * @param _other
	 * @return boolean
	 */
	public boolean equals(Object _other)
	{
		if (_other == null) {
			return false;
		}
		
		if (_other == this) {
			return true;
		}
		
		if (!(_other instanceof TbAsignacionPk)) {
			return false;
		}
		
		final TbAsignacionPk _cast = (TbAsignacionPk) _other;
		if (asiCodigo == null ? _cast.asiCodigo != asiCodigo : !asiCodigo.equals( _cast.asiCodigo )) {
			return false;
		}
		
		return true;
	}

	/**
	 * Method 'hashCode'
	 * 
	 * @return int
	 */
	public int hashCode()
	{
		int _hashCode = 0;
		if (asiCodigo != null) {
			_hashCode = 29 * _hashCode + asiCodigo.hashCode();
		}
		
		return _hashCode;
	}

	/**
	 * Method 'toString'
	 * 
	 * @return String
	 */
	public String toString()
	{
		StringBuffer ret = new StringBuffer();
		ret.append( "umgnotas.eis.dto.TbAsignacionPk: " );
		ret.append( "asiCodigo=" + asiCodigo );
		return ret.toString();
	}

}
